#!/usr/bin/perl -w

use strict;

# Read map file
my($mapFile) = "map.3";
local(*MAPFILE);
die "Could not open map file: $mapFile\n" unless open(MAPFILE, $mapFile);
my(%mapping);
my($line);

while (defined($line=<MAPFILE>))
{
  chomp($line);
  if ($line =~ /^(<.+>)\s*(<.+>)\s*$/)
  {
    $mapping{$1} = $2;
  }
}
close(*INFILE);

local(*INFILE);
local(*OUTFILE);
die "Could not open input file: $ARGV[0]\n" unless open(INFILE, $ARGV[0]);
die "Could not open output file: $ARGV[1]\n" unless open(OUTFILE, ">$ARGV[1]");
truncate(OUTFILE, 0);

my($key);
my($val);
while (defined($line=<INFILE>))
{
  foreach $key (keys %mapping)
  {
    if ($line=~/$key/)
    {
      $val = $mapping{$key};
      print "$key, $mapping{$key}\n";

      $line =~s/$key/$val/g;
    }
  }
  print OUTFILE $line;
}

