.\"	SCCS:	@(#) USER MANUAL asc_to_psl.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH asc_to_psl genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
.TP
asc_to_psl \- Convert ASCII to Pseudo Language characters
.SH SYNOPSIS
#include <nlstest.h>
.PP
.TP
.BR "char *asc_to_psl" "(str, langnum)"
.nf
char *str;
int  langnum;
.fi
.PP
.TP
.BR "char *nomet_to_psl" "(str, langnum)"
.nf
char	*str;
int	langnum;
.fi
DESCRIPTION:
.SH DESCRIPTION
Asc_to_psl() converts from an ASCII representation of pseudo language
to the correct pseudo language characters for language
.IR "langnum" .
.PP
Nomet_to_psl() performs the same conversion, except that the
metacharacters for NLS regular expressions are left untouched
(i.e. '.', '*', '[', ']', '-', ':', '=', '^', '$')
.PP
The conversion is done
.BR "in place" ,
so the routine should not be
called more than once for the same string.
.PP
The return value is always same as the pointer
.IR "str" .
.PP
Values for use as
.I "langnum"
(VALVSX4L1 etc.) are defined in <nlstest.h>.
.SH "SEE ALSO"
.nf
psl_to_asc(genlib)
pslanginfo(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
