.\"	SCCS:	@(#) USER MANUAL fpcomp.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH fpcomp genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
.TP
fpcomp \- floating point comparison and support routines
.SH SYNOPSIS
.TP
.BR "void mlmachar" "()"
.PP
.TP
.BR "int dcomp" "(val1, val2)"
.nf
double	val1;
double	val2;
.fi
.PP
.TP
.BR "int fcomp" "(val1, val2)"
.nf
float	val1;
float	val2;
.fi
.PP
.TP
.BR "int ldcomp" "(val1, val2)"
.nf
long double	val1;
long double	val2;
.fi
.SH DESCRIPTION
Mlmachar() calculates the following external constants
which are used in the mathematical library tests:-
.PP
.RS
.nf
double epspos - smallest positive number which changes 1.0
double epsneg - smallest negative number which changes 1.0
double maxdble - largest double precision number
double mindble - smallest double precision number
int expbase - exponent base (normally 2)
int dexplen - exponent length in a double
int dsignif - number of significant digits in a double
int fsignif - number of significant digits in a float
int dmaxexp - largest exponent for a double
int dminexp - smallest exponent for a double
.fi
.RE
.PP
Fcomp(), dcomp() and ldcomp() compare two values of type
float, double and long double respectively.  They return 1
if the values are approximately equal, otherwise 0.
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
