.\"	SCCS:	@(#) USER MANUAL uids.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH uids genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
uids \- testset uid/gid routines
.SH SYNOPSIS
.nf
extern int vguid0, vguid1, vguid2;
extern int vggid0, vggid1, vggid2;
.PP
.BR "int uids" "()"
.fi
.SH DESCRIPTION
Uids() sets the global variables
.IR vguid0 ,
etc.\ as follows:
.PP
.RS
.nf
vguid0: value of VSX_UID0, or getuid() if not set
vguid1: value of VSX_UID1, or getuid() + 1 if not set
vguid2: value of VSX_UID2, or getuid() + 2 if not set
vggid0: value of VSX_GID0, or getgid() if not set
vggid1: value of VSX_GID1, or getgid() + 1 if not set
vggid2: value of VSX_GID2, or getgid() + 2 if not set
.fi
.RE
.PP
Uids() returns -1 and reports via tet_infoline() if one or more parameters
were not set, otherwise it returns zero.
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
