.\"	SCCS:	@(#) USER MANUAL mlvalrpt.m	4.1 (01/21/97)  VSXgen release 1.4
.TH mlvalrpt tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBmlvalrpt\fP \- report observed and expected return, errno values
and math error numbers
.SH SYNOPSIS
\fBvoid mlvalrpt(exrval, orval, exerrno, oerrno)\fP
.br
\fBdouble	exrval;\fP
.br
\fBdouble	orval;\fP
.br
\fBint	exerrno;\fP
.br
\fBint	oerrno;\fP
.br
.SH DESCRIPTION
.PP
\fBMlvalrpt\fP() reports (using in_rpt()) the expected and observed
return values, errnos and math error numbers from a maths library
call, in the format:
.in +.5i
.br
RETURN VALUES: expected: X, observed: Y
.br
ERRNO VALUES: expected: A (EEEEEE), observed: B (EEEEEE)
.br
MATH ERROR TYPE: expected: C (FFFFFF), observed D (FFFFFF)
.in -.5i
where X is the value of exrval, Y the value of orval,
A the value of exerrno, B the value of oerrno,
C the value of extype, D the value of otype, EEEEE
is the symbolic name for the expected errno, as determined by
errname(), and FFFFFF is the symbolic name for the math error type
as determined by mathtype(),
.PP
If exrval == orval, no RETURN VALUES line is printed;
if exerno = oerrno, no ERRNO VALUES line is printed;
if extype = otype, no MATH ERROR TYPE line is printed.
.PP
\fBMlvalrpt\fP() should be used after xx_rpt() has been called to flag
the failure/deletion/RFI that caused this information to be
output, and before the next test is announced.
