.\"	SCCS:	@(#) USER MANUAL tztest.m	4.1 (01/21/97)  VSXgen release 1.4
.TH tztest tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBtztest\fP \- test timezone names set by time functions
.SH SYNOPSIS
\fBint tztest(funcnam, func)\fP
.br
\fBchar *funcnam;\fP
.br
\fBchar *(*func)();\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBTztest()\fP tests that interfaces correctly set the standard and
daylight savings timezone names from the \fBTZ\fP environment variable.
The argument \fIfuncnam\fP describes the interface being tested (e.g.
"ctime()" or "strftime(%Z)").  The function pointed to by \fIfunc\fP
calls the interface being tested and returns the resulting standard
timezone name if the argument to (*\fIfunc\fP)() is 0, or the resulting
daylight saving timezone name if the argument is 1.
.PP
Tztest() performs all test reporting (including calling \fBxx_rpt()\fP or
\fBxs_rpt()\fP).  No result reporting is done by the calling test code.
.PP
.SH SIDE EFFECTS
\fBTztest()\fP alters the environment variable TZ, and so should be
called in a child process.
