.\"	SCCS:	@(#) USER MANUAL valrpt.m	4.1 (01/21/97)  VSXgen release 1.4
.TH valrpt tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBvalrpt\fP \- report observed and expected return and errno values
.SH SYNOPSIS
\fBvoid valrpt(exrval, orval, exerrno, oerrno)\fP
.br
\fBint	exrval;\fP
.br
\fBint	orval;\fP
.br
\fBint	exerrno;\fP
.br
\fBint	oerrno;\fP
.br
.SH DESCRIPTION
.PP
\fBValrpt\fP() reports (using in_rpt()) the expected and observed
return values and errnos from a system call or other type of
test call, in the format:
.in +.5i
.br
RETURN VALUES: expected: X, observed: Y
.br
ERRNO VALUES: expected: A (EEEEEE), observed: B (EEEEEE)
.in -.5i
where X is the value of exrval, Y the value of orval,
A the value of exerrno, B the value of oerrno, and EEEEE
is the symbolic name for the expected errno, as determined by
errname().
.PP
If exrval == orval, no RETURN VALUES line is printed;
similarly, if exerno = oerrno, no ERRNO VALUES line is printed.
.PP
\fBValrpt\fP() should be used after xx_rpt() has been called to flag
the failure/deletion/RFI that caused this information to be
output, and before the next test is announced.
