'''	SCCS:	@(#) USER MANUAL error.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH error vlib "UniSoft Ltd" "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
vsxerror, panic \- error routines
.SH SYNOPSIS
.B void vsxerror(format
[ , args ] ....
.B )
.br
.B char *format;
.PP
.B void panic(message)
.br
.B char *message;
.SH DESCRIPTION
.I Vsxerror
prints out on STDERR the message "PPPPP error: XXXXXXX"
where PPPPP is the name of the program issuing the message and XXXXXXX
is the formatted string produced from the format and args which are in
printf() form.
.PP
.I Panic
prints out on STDERR the message "panic: PPPPP:
.I message
" where PPPPP is the name of the program issuing the panic. A core dump
is then produced, and the program terminated immediately.
.PP
Both of these routines terminate the message with a new line character.
.SH WARNINGS
Both panic() and vsxerror() assume the existence of the functions
described in
.IR pname (vlib).
.PP
Vsxerror() uses varargs/vfprintf.
.SH SEE ALSO
.SH AUTHOR
Hamish Reid, UniSoft Limited.
.SH RELEASE
VSXgen 1.4
