'''	SCCS:	@(#) USER MANUAL report.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH report vlib "UniSoft Ltd" "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
er_rpt, in_rpt, th_rpt, tt_rpt, xs_rpt, xx_rpt \- reporting functions
.SH SYNOPSIS
.B void er_rpt(reason)
.br
.B char *reason;
.PP
.B void in_rpt(format
[ , arg ] ....
.B )
.br
.B char *format;
.PP
.B void xs_rpt(fullname)
.br
.B char *fullname;
.PP
.B void xx_rpt(fullname, result)
.br
.B char *fullname;
.B char result;
.SH DESCRIPTION
These calls interface to the appropriate TET reporting calls.
.I Er_rpt
outputs a line consisting of the standard error control header followed
by the string
.BR reason ;
.I
this string must not contain any newline characters.
.PP
.I In_rpt
outputs additional information for test failure, test deletion, and
tests that require further inspection.
The
.I format
string and the optional
.I args
are in standard printf() form.
.I Xs_rpt
outputs a testset success line.
.I Xx_rpt
outputs a testset failure line.
.SH AUTHOR
Stuart Boutell, UniSoft Ltd
.SH RELEASE
VSXgen 1.4
