#!/bin/bash -p
#########################################################################
#									#
#	cpio_i_xt: Read cpio format archive - restoring file ownerships #
#									#
#	Usage:  cpio_i_xt.sh arc_name					#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

if [ $# -lt 1 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

# The user may change the format reading command as necessary

# uncomment the following line to use cpio instead of pax:
#exec cpio -idc <$1 >/dev/null 2>/dev/null 

#exec pax -r -pe -x cpio -f "$1" > /dev/null 2>/dev/null
exec pax -r -pe  -f "$1" > /dev/null 2>/dev/null
