#!/bin/bash -p
#########################################################################
#									#
#	tar_cr: Create tar format archive				#
#									#
#	Usage:  tar_cr.sh arc_name file1 file2 ...			#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

if [ $# -lt 2 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

# The user may change the format creating command as necessary

# uncomment the following line to use tar instead of pax:
#exec tar cf "$@" >/dev/null 2>/dev/null
exec pax -w -x ustar -f "$@" 2>/dev/null
