:
#      SCCS:  @(#)  XPG4.os/genuts/wordexp/wordexp.sh	Rel 4.4.1   (06/09/97)
#
#	UniSoft Ltd., London, England
#
# (C) Copyright 1991 X/Open Company Limited
#
# All rights reserved.  No part of this source code may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
#
# X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
# the UK and other countries.
#
########################################################################
#
# NAME:		wordexp.sh
#
# PROJECT:	VSX (X/OPEN Validation Suite)
#
# DESCRIPTION:
# 	Shell script for use in wordexp tests.
#
# AUTHOR:	M Young, UniSoft Ltd.
# DATE CREATED:	Wed Sep 04 15:52:35 WET 1991
# MODIFICATIONS:
#
########################################################################


if [ $# -lt 1 ]
then
	action="default"
else
	action="$1"
fi

case $action
in
	b)
		echo "abcdefg"
		;;
	
	c)
		echo "line1"
		echo "line2"
		;;
	
	e)
		echo "stdout"
		echo "stderr" 1>&2
		;;
	
	*)
		echo "No recognised arguments"
		;;
esac
exit 0
