#!/usr/bin/awk -f
# parse the output of lsb_release
# we should find at lease 2 entries of core-version 
# for the given lsb-version (noarch and specific arch)
function check_result(total) {
  if (total >= 2) {
    exit 0
  }
  exit 1
}
BEGIN { RS = ":" }
/core-FIXME/ { total += 1 }
END { check_result(total) }

