#!/bin/sh

# Further edits of vsxconfig.h
# Remove bits which will cause compile errors
echo Munging vsxconfig.h
grep -v '<type>' SRC/vsxconfig.h | grep -v '<members>' | grep -v CLOCK_REALTIME | grep -v TIMER_ABSTIME | grep -v 'typedef int mqd_t' > SRC/vsxconfig.h.new
sed -e '/mq_close/i\' -e 'typedef int mqd_t;' SRC/vsxconfig.h.new > SRC/vsxconfig.h

# Setup for no wide character support
scripts/common/nowidechar.sh

printf "\n----------------------------------------------------------\n"

# Optional install of pseudolanguages
scripts/common/psl_setup.sh

