#!/bin/sh
#
# This script is used to reset the vsx1 and vsx2 account data in /etc/shadow
#

printf "Updating the account properties of users vsx1 and vsx2\n"
printf "  sets the vsx1 account to have a password that needs to be updated\n"
printf "  sets the vsx2 account to be expired\n"

month=`date +%m`
date=`date +%d`
year=`date +%Y`
yr=`expr $year - 1`

chage -m 1 -M 2 -d $yr-$month-$date vsx1; chage -E $yr-$month-$date vsx2
