#!/bin/sh

printf "Install scripts into TESTROOT/BIN..? [y] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" -o "$cmd" = "" ] ; then
        echo
	echo "The test suites requires the generation of certain files."
	echo "This can be done using either cpio and tar together or pax."
	echo "pax is the most POSIX compliant program but may not be installed"
	echo "by default on your system. If you do not use pax you can expect"
	echo "to see more test failures."
	echo 
	printf "Use pax..? [y] "
	read cmd
	if [ "$cmd" = "Y" -o "$cmd" = "y" -o "$cmd" = "" ] ; then
	    CPIO_SCRIPT_TOKEN="#PAX"
	    TAR_SCRIPT_TOKEN="#PAX"
	else
	    CPIO_SCRIPT_TOKEN="#CPIO"
	    TAR_SCRIPT_TOKEN="#TAR"
	fi
	  
	for script in `ls -1 $TOOLDIR/tbin/cpio_*.sh`; do
	  sed -e "s/^$CPIO_SCRIPT_TOKEN //" $script > $TET_EXECUTE/BIN/`basename $script`
	  chmod u+w $TET_EXECUTE/BIN/`basename $script`
        done;
	for script in `ls -1 $TOOLDIR/tbin/tar_*.sh`; do
	  sed -e "s/^$TAR_SCRIPT_TOKEN //" $script > $TET_EXECUTE/BIN/`basename $script`
	  chmod u+w $TET_EXECUTE/BIN/`basename $script`
        done;

#	cp $TOOLDIR/tbin/*.sh $TET_EXECUTE/BIN/
#	which pax 2>&1 >/dev/null
#	if [ $? -ne 0 ]
#	then
#	   printf "Warning: no pax utility found, needed by dataform tests\n"
#	fi
fi

# Installation of nonexistent devices
#
#

printf "Install nonexistent devices ..? [y] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" -o "$cmd" = "" ] ; then
	printf "Enter the root password:\n"
	su root -c "sh scripts/vsx-pcts/nonexist_device.setup"
fi
