#!/bin/sh

# Do loopback setup
scripts/common/loopback_resetup.sh
# can fail, handle if it does
if [ $? -ne 0 ];then
  exit 1
fi

# bug 2680 - always resetup the block and character devices
sh scripts/vsx-pcts/nonexist_device.setup

# Set VSX_TTYNAME to current current tty
CURRENT_TTY=`tty`
echo "VSX_TTYNAME=$CURRENT_TTY" > /tmp/newparam.$$

mv -f /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg.old
cat /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg.old | /opt/lsb/test/core/tet/test_sets/BIN/editcfg.sh /tmp/newparam.$$ > /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg
rm -f /tmp/newparam.$$

