#!/bin/sh


#----------------------------------------------------------------------
# Finish user setup

# Add supplementary groups
# Ignore failures assuming that the groups already exist
groupadd  supp1 || true
groupadd  supp2 || true
groupadd  supp3 || true
groupadd  supp4 || true
groupadd  supp5 || true
groupadd  supp6 || true
groupadd  supp7 || true
groupadd  supp8 || true
groupadd  supp9 || true
groupadd  supp10 || true
groupadd  supp11 || true
groupadd  supp12 || true
groupadd  supp13 || true
groupadd  supp14 || true
groupadd  supp15 || true
groupadd  supp16 || true
groupadd  supp17 || true
groupadd  supp18 || true
groupadd  supp19 || true
groupadd  supp20 || true
groupadd  supp21 || true
groupadd  supp22 || true
groupadd  supp23 || true
groupadd  supp24 || true
groupadd  supp25 || true
groupadd  supp26 || true
groupadd  supp27 || true
groupadd  supp28 || true
groupadd  supp29 || true
groupadd  supp30 || true
groupadd  supp31 || true

# Set the supplmentary groups for the vsx0 user
usermod -G supp1,supp2,supp3,supp4,supp5,supp6,supp7,supp8,supp9,supp10,supp11,supp12,supp13,supp14,supp15,supp16,supp17,supp18,supp19,supp20,supp21,supp22,supp23,supp24,supp25,supp26,supp27,supp28,supp29,supp30,supp31 vsx0

#----------------------------------------------------------------------
# Fix up VSX0,1,2 etc uid + gid references (parameterisation)
VSX_UID0=`grep vsx0 /etc/passwd|cut -d: -f3`
VSX_GID0=`grep vsx0 /etc/passwd|cut -d: -f4`
VSX_UID1=`grep vsx1 /etc/passwd|cut -d: -f3`
VSX_GID1=`grep vsx1 /etc/passwd|cut -d: -f4`
VSX_UID2=`grep vsx2 /etc/passwd|cut -d: -f3`
VSX_GID2=`grep vsx2 /etc/passwd|cut -d: -f4`
  
printf "VSX_UID0=$VSX_UID0\n" >> /tmp/params.$$
printf "VSX_UID1=$VSX_UID1\n" >> /tmp/params.$$
printf "VSX_UID2=$VSX_UID2\n" >> /tmp/params.$$
printf "VSX_GID0=$VSX_GID0\n" >> /tmp/params.$$
printf "VSX_GID1=$VSX_GID1\n" >> /tmp/params.$$
printf "VSX_GID2=$VSX_GID2\n" >> /tmp/params.$$

mv /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg.old
cat /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg.old | /opt/lsb/test/core/tet/test_sets/BIN/editcfg.sh /tmp/params.$$ > /opt/lsb/test/core/tet/test_sets/TESTROOT/tetexec.cfg

#----------------------------------------------------------------------
# Add lang stuff?
if [ -d /opt/lsb/test/core/tet/LSB.tools/psldefs ]; then
		cd /opt/lsb/test/core/tet/LSB.tools/psldefs
		make

		if [ $? -ne 0 ]; then
				echo 
				echo ## WARNING ##
				echo The locale information did not install properly on the system.
				echo This may cause locale related tests to fail. The most likely cause
				echo of the failure is that the required internationalization locale 
				echo packages have not yet been installed or your glibc does not support
				echo pre-Euro currencies.
				echo
		fi
fi

