.\"	SCCS:	@(#) USER MANUAL alrm.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH alrm genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
alrm \- testset alrm routine
.SH SYNOPSIS
.TP
.BR "void alrm" "()"
.fi
.SH DESCRIPTION
Alrm() increments a flag which indicates to the calling process that a timeout
has occured. Alrm() is called within the macro SET_TIMEOUT in the header 
file <timeout.h>. A process to be timed out is bracketed by :-
.PP
.nf
SET_TIMEOUT(n)
<process>
CLEAR_ALARM 
.PP
.fi
SET_TIMEOUT will set an alarm call for the duration of n secs. If 
the code has not completed within the alarm time, then alrm() is called 
which increments alrm_flag. The calling process will be alerted to a 
timeout if the flag is greater than zero.  The macro CLEAR_ALARM will 
preserve the value of errno and reset any previous alarm calls.
.fi
.SH AUTHOR
Neil Moses, UniSoft Ltd.
.fi
.SH RELEASE
VSXgen 1.4
