.\"	SCCS:	@(#) USER MANUAL cppair.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH cppair genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
cppair \- create a child-parent pair
.SH SYNOPSIS
extern int alrm_flag;
.PP
.TP
.BR "int cppair" "(childproc, parentproc, waittime, exitvals)"
.nf
void (*childproc)();
void (*parentproc)();
int  waittime;
int  exitvals;
.fi
.SH DESCRIPTION
Cppair() is the VSX interface to the Test Execution Toolkit
function, tet_fork(). See the TET User Guide for details.
.PP
.I Childproc
is the function called in the child process,
.I Parentproc
in the function called in the parent process.  If no
processing is required in the parent, the defined constant
NULLFN should be used as the
.I parentproc
argument. 
.PP
.I Waittime
is a number of seconds to allow before timing out the
child process, typically some multiple of the defined constant
WAITTIME (which varies according to the system speed
configured at installation time).
.I Exitvals
is a bit mask
specifying the expected exit codes from the child (in addition
to the standard code OK).  If an unexpected exit code
is received, cppair() reports the error.
.PP
Cppair() may be called within a child process to create a grandchild process as
well as further descendents.
.SH "SEE ALSO"
.nf
do_exec(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
