.\"	SCCS:	@(#) USER MANUAL crdir.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH crdir genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
.TP
crdir \- make a directory with specified mode, uid & gid
.SH SYNOPSIS
.TP
.BR "int crdir" "(path, mode, uid, gid)"
.nf
char *path;
int  mode;
int  uid;
int  gid;
.fi
.SH DESCRIPTION
Crdir() attempts to make a directory with the given
.IR path ", " mode ,
.IR uid " and " gid .
The owner and group are only changed if they are not already
the required values.  If the directory already exists
then only the chmod() and, if necessary, the chown() are carried out.  If
.I "path"
exists and is a regular file, crdir() will attempt to remove it before
making the directory: if this fails then EEXIST is returned.
If crdir() fails for other reasons such as EACCES, EPERM, EFAULT,
EROFS, or ENOSPC the correct error is returned.  If the
chmod() or chown() fails then the directory is removed and
FAIL is returned (with
.I errno
set appropriately).
.SH "SEE ALSO"
.nf
clean_dir(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
