.\"	SCCS:	@(#) USER MANUAL parsync.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH parsync genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
parsync \- close child end of synchronisation channel
.SH SYNOPSIS
#include <synch.h>
.PP
.TP
.BR "int parsync" "(synchdesc, side)"
.nf
synch *synchdesc;
char  side;
.fi
.SH DESCRIPTION
.I Synchdesc
is the synchronisation channel to be closed (obtained
from a previous opensync() call).
.I Side
is 'r' for the reader or 'w' for the writer.
.PP
Parsync() returns 0 on success or SYSERROR on failure with
.I errno
set appropriately. 
.SH "SEE ALSO"
.nf
childsync(genlib)
opensync(genlib)
closesync(genlib)
sendsync(genlib)
waitsync(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
