.\"	SCCS:	@(#) USER MANUAL sendsync.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH sendsync genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
sendsync \- send data to synchronisation channel
.SH SYNOPSIS
extern int alrm_flag;
.PP
.TP
.BR "int sendsync" "(fdesc, buf, size, timeout)"
.nf
int      fdesc;
char     *buf;
unsigned size;
unsigned timeout;
.fi
.SH DESCRIPTION
Sendsync() writes
.I "size"
bytes of data from
.I "buf"
to the pipe specified by
.IR "fdesc" ,
with a time limit of
.I "timeout"
seconds.
.I "Fdesc"
should be the writing side of a pipe
obtained from a previous call to opensync().  I.e. if
.I "syncp"
is a (synch *) returned by opensync() then
.I "fdesc"
should be (*\fIsyncp\fP)[1].
.PP
The data must be received by a corresponding waitsync()
using the reading side of the same pipe.
.PP
If successful sendsync() returns the number of bytes sent.
On failure it returns SYSERROR with
.I errno
set appropriately, and with
.I alrm_flag
set to 1 if the write timed out.
.SH "SEE ALSO"
.nf
opensync(genlib)
closesync(genlib)
waitsync(genlib)
parsync(genlib)
childsync(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
