.\"	SCCS:	@(#) USER MANUAL waitsync.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH waitsync genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
waitsync \- receive data from synchronisation channel
.SH SYNOPSIS
extern int alrm_flag;
.PP
.TP
.BR "int waitsync" "(fdesc, buf, size, timeout)"
.nf
int      fdesc;
char     *buf;
unsigned size;
unsigned timeout;
.fi
.SH DESCRIPTION
Waitsync() reads
.I "size"
bytes of data into
.I "buf"
from the pipe specified by
.IR "fdesc" ,
with a time limit of
.I "timeout"
seconds.
.I "Fdesc"
should be the reading side of a pipe
obtained from a previous call to opensync().  I.e. if
.I "syncp"
is a (synch *) returned by opensync() then
.I "fdesc"
should be (*\fIsyncp\fP)[0].
.PP
The data must be sent by a corresponding sendsync()
using the writing side of the same pipe.
.PP
If successful waitsync() returns the number of bytes read.
On failure it returns SYSERROR with
.I errno
set appropriately, and with
.I alrm_flag
set to 1 if the read timed out.
.SH "SEE ALSO"
.nf
opensync(genlib)
closesync(genlib)
sendsync(genlib)
parsync(genlib)
childsync(genlib)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
