.\"	SCCS:	@(#) USER MANUAL nametoolng.m	4.1 (01/21/97)  VSXgen release 1.4
.TH nametoolng tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBnametoolng\fP \- generate path names for testing ENAMETOOLONG
.SH SYNOPSIS
\fBchar **pathtoolng(filename)\fP
.br
\fBchar *filename;\fP
.br
.PP
\fBchar **nametoolng()\fP
.br
.PP
\fBchar *xnfs_nametoolng(casenum, spno)\fP
.br
\fBint casenum;\fP
.br
\fBint spno;\fP
.br
.PP
\fBvoid clntoolng()\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBPathtoolng()\fP creates two pathnames to the named file, of
PATH_MAX and PATH_MAX+1 characters.  It returns a pointer to an
array of two malloc()ed buffers, or NULL if an error occurred.
If PATH_MAX > PCTS_PATH_MAX, or == -1 then the first name will be
PCTS_PATH_MAX characters, and the second will be a NULL pointer
to indicate the error part of the test is to be skipped.
.PP
\fBNametoolng\fP() creates two filenames of NAME_MAX and NAME_MAX+1
bytes.  If _POSIX_NO_TRUNC is not in effect (i.e. exceeding
NAME_MAX does not give an error) it reports UNSUPPORTED and
returns NULL.  If _POSIX_NO_TRUNC is in effect, it returns a
pointer to an array of two malloc()ed buffers, or NULL if an
error occurred.
.PP
When testing XNFS, \fBnametoolng()\fP is not used.  Instead
\fBxnfs_nametoolng()\fP is used to obtain a single file name for use in
a test.  The first argument is an integer from 1 to 4 indicating
which of the four NAME_MAX/ENAMETOOLONG assertions is being tested.
The second argument is a sync point number.  If \fBxnfs_nametoolng()\fP
returns NULL, it has already reported an UNSUPPORTED or
UNRESOLVED result, and the calling test should just return. 
.PP
When \fBxnfs_nametoolng()\fP is called on the client side of 
a test purpose, \fBt_nametoolng_s(xnfslib)\fP should be called on 
the server side.
.PP
\fBClntoolng\fP() frees the path/name buffers and removes the temporary
directories created by \fBpathtoolng\fP().
