.\"	SCCS:	@(#) USER MANUAL pure_run.m	4.1 (01/21/97)  VSXgen release 1.4
.TH pure_run tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBpure_run\fP \- run a pure executable
.SH SYNOPSIS
\fBint pure_copy(from, to)\fP
.br
\fBchar	*from;\fP
.br
\fBchar	*to;\fP
.br
.PP
\fBint pure_run(path, timeout, pid)\fP
.br
\fBchar	*path;\fP
.br
\fBint	timeout\fP
.br
\fBint	*pid;\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBPure_copy\fP() copies the "from" to the file "to".  This is done
with a system("cp from to"),  after the copy, the mod is changed
to rwx for everyone.  If the system() returns a non-SUCCEED value
or if chmod() fails then "to" is unlink()'ed and SYSERROR returned.
If all goes well then SUCCEED is returned.
.PP
\fBPure_run\fP() forks and runs the pure executable "path", and puts
the process id of the child in *pid, SUCCEED is returned is
all goes well.  The timeout value is passed to the child, 
and it will wait a maximium of timeout seconds before exiting.
This is done so that no processes will be left around.  If
something goes wrong, the return value will indicate the
error by using "exitcode.h" values.
The possible failures are:
.in +.5i
A_NOMEM
.in +1.25i
.sp -1
malloc() failed
.in -1.25i
A_OPENSYNC
.in +1.25i
.sp -1
opensync() failed
.in -1.25i
A_FORKFAIL
.in +1.25i
.sp -1
fork() failed
.in -1.25i
A_WAITSYNC
.in +1.25i
.sp -1
waitsync() failed
