.\"	SCCS:	@(#) USER MANUAL setuprofs.m	4.1 (01/21/97)  VSXgen release 1.4
.TH setuprofs tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBsetuprofs\fP \- set up a read only file system
.SH SYNOPSIS
\fBint setuprofs(dirname, filename, filetype, mode)\fP
.br
\fBchar *dirname, *filename;\fP
.br
\fBint  filetype, mode;\fP
.PP
\fBint clnuprofs(dirname, filename)\fP
.br
\fBchar *dirname, *filename;\fP
.SH DESCRIPTION
\fBsetuprofs\fP mounts a read only file system on the specified directory.
The device to be mounted is found in VSX_ROFS.  Dirname is always created.
If filename is not NULL, the file system is first mounted for write access,
and a file (filetype == 'f') or directory (filetype == 'd') is created 
in the file system and its mode is initialized to mode. If the process is
timed-out, clnuprofs is called before exitting.
.PP
\fBclnuprofs\fP reverses the effects of \fBsetuprofs\fP.  If a file or
directory was created, it is removed, the file system is unmounted,
and the mount point, dirname, is removed.
