.\"	SCCS:	@(#) USER MANUAL statugid.m	4.1 (01/21/97)  VSXgen release 1.4
.TH statugid tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBstatugid\fP, \fBfstatugid\fP \- stat a file to obtain uid and gid information
.SH SYNOPSIS
\fBint statugid(path, uid, gid)\fP
.br
\fBchar	*path;\fP
.br
\fBuid_t	*uid;\fP
.br
\fBgid_t	*gid;\fP
.br
.PP
\fBint fstatugid(fdes, uid, gid)\fP
.br
\fBint	fdes;\fP
.br
\fBuid_t	*uid;\fP
.br
\fBgid_t	*gid;\fP
.br
.SH DESCRIPTION
.PP
\fBstatugid\fP() attempts to stat "path".  If successful the
uid and gid of "path" will be placed in *uid and *gid
and SUCCEED will be returned. 
If the stat fails, then SYSERROR will be returned and errno will
be set (*uid and *gid will not be modified).
.PP
\fBfstatugid\fP() likewise attempts to stat file descriptor fdes.
.SH SIDE EFFECTS
Errno may be changed
