'''	SCCS:	@(#) USER MANUAL vgetenv.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH environ vlib "UniSoft Ltd" "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
vgetenv, vputenv \- environment manipulation routines.
.SH SYNOPSIS
.B char
.B *vgetenv(envptr, name)
.br
.B char **envptr;
.br
.B char *name;
.PP
.B int
.B vputenv(envptr, change)
.br
.B char **envptr;
.br
.B char *change;
.SH DESCRIPTION
.I Vgetenv
searches the environment list addressed by
.I envptr
for a string of the form
.I "name = value"
, and returns a pointer to the
.I value.
If
.I name
is not found, a NULL pointer is returned.
.PP
.I Vputenv
makes a change to the environment list addressed by
.I envptr
according to the contents of the string
.I change.
.I Change
points to a string of the form
.I "name=value"
which is placed into the environment list pointed to by envptr,
either replacing the existing environment variable
.I name
or creating a new variable.
In either case, the string pointed to by
.I change
becomes part of the environment pointed to by envptr,
so altering the string will change this
environment. The space used by
.I change
is no longer used once a new string-defining
.I name
is passed to
.I vputenv.
.SH AUTHOR
Andrew Twigger.
.SH RELEASE
VSXgen 1.4
