'''	SCCS:	@(#) USER MANUAL vbuild.m	4.1 (01/21/97)  VSXgen release 1.4
.TH vbuild,vclean vprog "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
vbuild, vclean, vmake.sh - VSX buildtool and cleantool.
.SH USAGE
.B vbuild
.br
.B vclean
.br
.B vmake.sh [INSTALL|CLOBBER] <targets>
.SH DESCRIPTION
Vbuild and vclean are the VSX buildtool and cleantool used by the tcc to
build and clean up testsets respectively. These tools in turn call vmake.sh
which instigates the building or cleaning make as necessary.
.br
When building, Vmake.sh determines whether a macro
definition of test function exists.
If so, it moves the installed testset(s) to M<testset> to denote the macro	
version and installs the function version under the normal name. 
If there is no macro version, it creates a dummy macro version of the testset.
.br
When cleaning, Vmake.sh determins whether a macro
definition of the test function exists.
If so, it is removed.
.br
Vbuild and vclean ignore the HUP, INT and QUIT signals.  This enables
builds and cleans to be run in the background and under \fInohup\fR
without the TET API catching signals not intended for it.  When run
in the forground, the tcc catches these signals and kills vbuild/vclean
with a SIGTERM.
.SH AUTHORS
Callum Lang, UniSoft Ltd.
.br
Stuart Boutell, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
