#!/bin/bash -p
# 
#########################################################################
#									#
#	cpio_cr: Create cpio format archive				#
#									#
#	Usage:  cpio_cr.sh arc_name file1 file2 ...			#
#									#
#	Dave Cater Fri Jun  9 13:57:38 BST 1989				#
#	pax version: Geoff Clare, Nov 1996				#
#########################################################################

cpio_in=cpio_t
rm -f $cpio_in

if [ $# -lt 2 ]
then
	# This should correspond to A_MISC in exitcodes.h 
	exit 31
fi

cpio_out=$1
shift

# The user may change the format creating command as necessary

# uncomment the following lines to use cpio instead of pax:
#
#for i
#do echo "$i"
#done > $cpio_in 
#exec cpio -oc <$cpio_in >$cpio_out 2>/dev/null

exec pax -w -x cpio "$@" > $cpio_out 2>/dev/null
