#!/bin/sh

# Program expects file argument as first parameter to
# append parameterisations information into 

if test $# -lt 1
then
  echo "Parameterisations file needs file argument."
  exit 1
fi

LSB_PAM_USER=vsx0
LSB_PAM_USER_PASSWD=""

printf " Enter name of the user for PAM tests [$LSB_PAM_USER] : "
read cmd

if [ "$cmd" != "" ]; then
   LSB_PAM_USER=$cmd
fi

printf " Enter password of the user for PAM tests : "
read cmd

if [ "$cmd" != "" ]; then
   LSB_PAM_USER_PASSWD=$cmd
fi

LSB_PAM_CONF_FILE=lsbpam_conf

LSB_PAM_TEST_USER1=vsx1
LSB_PAM_TEST_USER2=vsx2

printf " You will next be prompted for two passwords for the pam test user\n accounts. Please choose a robust password for your platform.\n For example a combination of digits and upper and lower case letters.\n"

printf " Enter password of the test user $LSB_PAM_TEST_USER1 : "
read cmd

if [ "$cmd" != "" ]; then
   LSB_PAM_TEST_USER1_PASSWD=$cmd
fi

printf " Enter password of the test user $LSB_PAM_TEST_USER2 : "
read cmd

if [ "$cmd" != "" ]; then
   LSB_PAM_TEST_USER2_PASSWD=$cmd
fi

printf "LSB_PAM_USER=$LSB_PAM_USER\n" >> $1
printf "LSB_PAM_USER_PASSWD=$LSB_PAM_USER_PASSWD\n" >> $1
printf "LSB_PAM_CONF_FILE=$LSB_PAM_CONF_FILE\n" >> $1

printf "LSB_PAM_TEST_USER1=$LSB_PAM_TEST_USER1\n" >> $1
printf "LSB_PAM_TEST_USER1_PASSWD=$LSB_PAM_TEST_USER1_PASSWD\n" >> $1

printf "LSB_PAM_TEST_USER2=$LSB_PAM_TEST_USER2\n" >> $1
printf "LSB_PAM_TEST_USER2_PASSWD=$LSB_PAM_TEST_USER2_PASSWD\n" >> $1
